JTS Topology Suite version 1.13

## com.vividsolutions.jts.noding.snapround
Class MCIndexPointSnapper.HotPixelSnapAction

    java.lang.Object
      com.vividsolutions.jts.index.chain.MonotoneChainSelectAction
          com.vividsolutions.jts.noding.snapround.MCIndexPointSnapper.HotPixelSnapAction

Enclosing class:
  MCIndexPointSnapper

    public class MCIndexPointSnapper.HotPixelSnapAction

extends MonotoneChainSelectAction

Constructor Summary
`MCIndexPointSnapper.HotPixelSnapAction(HotPixel hotPixel, SegmentString parentEdge, int hotPixelVertexIndex)`

Method Summary
`boolean` `isNodeAdded()`
`void` `select(MonotoneChain mc, int startIndex)` This method is overridden to process a segment in the context of the parent chain.

Methods inherited from class com.vividsolutions.jts.index.chain.MonotoneChainSelectAction
`select`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MCIndexPointSnapper.HotPixelSnapAction

    public MCIndexPointSnapper.HotPixelSnapAction(HotPixel hotPixel,
                                                  SegmentString parentEdge,
                                                  int hotPixelVertexIndex)

Method Detail

### isNodeAdded

    public boolean isNodeAdded()

### select

    public void select(MonotoneChain mc,
                       int startIndex)

  Description copied from class: `MonotoneChainSelectAction`
  This method is overridden to process a segment in the context of the parent chain.

  Overrides:
    `select` in class `MonotoneChainSelectAction`
  Parameters:
    `mc` - the parent chain
    `startIndex` - the index of the start vertex of the segment being processed

JTS Topology Suite version 1.13